nqp-m(1)

NAME
nqp-m - Not Quite Perl Compiler

SYNOPSIS
 nqp-m [switches] [--] [programfile] [arguments]

DESCRIPTION
With no arguments, enters a REPL. With a "[programfile]" or the "-e" option, compiles the given program and by default also executes the compiled code.

  -e program           one line of program
  -h, --help           display this help text
  --target=[stage]     specify compilation stage to emit
  -t, --trace=[flags]  enable trace flags
  --encoding=[mode]    specify string encoding mode
  -o, --output=[name]  specify name of output file
  -v, --version        display version information
  --stagestats         display time spent in the compilation stages
  --ll-exception       display a low level backtrace on errors

Note that only boolean single-letter options may be bundled

MOARVM OPTIONS
To specify options to the underlying MoarVM virtual machine, you must explicitly run "moar"; you cannot specify these options by using the "perl6" executable.

 moar [--crash] [--libpath=...] input.moarvm [program args]

See "moar --help" for a list of valid MoarVM options.

AUTHORS
Written by the NQP contributors, see the CREDITS file.

This manual page was written by Alessandro Ghedini for the Debian project, and may be used by others.